import { EnvironmentProviders } from '@angular/core';
import { QRCodeErrorCorrectionLevel } from 'dfts-qrcode';
import { QRCodeAllowEmptyStringFeature, QRCodeColorDarkFeature, QRCodeColorLightFeature, QRCodeCssClassFeature, QRCodeElementTypeFeature, QRCodeErrorCorrectionLevelFeature, QRCodeFeatures, QRCodeImageFeature, QRCodeMarginFeature, QRCodeSizeFeature, QRCodeVersionFeature } from './qrcode.feature';
import { QRCodeElementType } from './types';
import { QRCodeImageFeatures, QRCodeImageHeightFeature, QRCodeImageSrcFeature, QRCodeImageWidthFeature } from './qrcode-image.feature';
export declare function provideQRCode(...features: QRCodeFeatures[]): EnvironmentProviders;
export declare function withAllowEmptyString(allowEmptyString: boolean): QRCodeAllowEmptyStringFeature;
export declare function withColorDark(colorDark: string): QRCodeColorDarkFeature;
export declare function withColorLight(colorLight: string): QRCodeColorLightFeature;
export declare function withCssClass(cssClass: string): QRCodeCssClassFeature;
export declare function withElementType(elementType: QRCodeElementType): QRCodeElementTypeFeature;
export declare function withErrorCorrectionLevel(errorCorrectionLevel: QRCodeErrorCorrectionLevel): QRCodeErrorCorrectionLevelFeature;
export declare function withMargin(margin: number): QRCodeMarginFeature;
export declare function withImage(...features: QRCodeImageFeatures[]): QRCodeImageFeature;
export declare function withImageSrc(src: string): QRCodeImageSrcFeature;
export declare function withImageWidth(width: string): QRCodeImageWidthFeature;
export declare function withImageHeight(height: string): QRCodeImageHeightFeature;
export declare function withVersion(version: number): QRCodeVersionFeature;
export declare function withSize(size: number): QRCodeSizeFeature;
